/api/historian/import-batches
POST
/api/historian/import-batches
const url = 'https://demo.consystence.com/api/historian/import-batches';const form = new FormData();form.append('site_id', 'example');form.append('format', 'example');form.append('trend_csv', 'file');form.append('mapping_csv', 'file');form.append('force', 'false');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://demo.consystence.com/api/historian/import-batches \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form site_id=example \ --form format=example \ --form trend_csv=@file \ --form mapping_csv=@file \ --form force=falseAuthorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typemultipart/form-data
object
site_id
required
string
format
required
string
trend_csv
required
string format: binary
mapping_csv
required
string format: binary
force
boolean
Responses
Section titled “Responses”OK